services:
  instagram-downloader:
    build: .
    container_name: instagram_downloader_service
    restart: unless-stopped
    ports:
      - "5556:5000"
    volumes:
      - ./downloads:/app/downloads
      - ./instagram_cookies.txt:/app/instagram_cookies.txt
    environment:
      - INSTAGRAM_COOKIES_FILE=/app/instagram_cookies.txt
    networks:
      - downloader_network

networks:
  downloader_network:
    driver: bridge

